<?php


if ( !defined('IN_ROSTER') )
{
	exit('Detected invalid access to this file!');
}

class addonsdkInstall
{
	var $active = true;
	var $icon = 'inv_misc_note_05';

	var $version = '1.0';
	var $wrnet_id = '0';

	var $fullname = 'SDK';
	var $description = 'sdk_desc';
	var $credits = array(
		array(	"name"=>	"WoWRoster",
				"info"=>	"Original Author")
	);


	/**
	 * Install Function
	 *
	 * @return bool
	 */
	function install()
	{
		global $installer;
		
		//if you want you addon to use a unique number try the download idfallowed by 000 and ex 31000 and increase from 1 from there
		$installer->add_config("31000,'startpage','display','display','master'");

		# Config menu entries
		$installer->add_config("31001,'display',NULL,'blockframe','menu'");
		$installer->add_config("31002,'page_size','0','text{4|30','display'");
		
		
		$installer->create_table($installer->table('x'),"
			`id` int(11) NOT NULL AUTO_INCREMENT,
			`member_id` int(11) unsigned NOT NULL default '0',
			`type` varchar(96) NOT NULL default '',
			KEY `id` (`id`)");


		$installer->add_menu_button('sdk_char','char');
		$installer->add_menu_button('sdk_guild','guild');
		return true;
	}

	/**
	 * Upgrade Function
	 *
	 * @param string $oldversion
	 * @return bool
	 */
	function upgrade($oldversion)
	{
		global $installer;

		return true;
	}

	/**
	 * Un-Install Function
	 *
	 * @return bool
	 */
	function uninstall()
	{
		global $installer;

		$installer->drop_table($installer->table('x'));
		$installer->remove_all_config();
		$installer->remove_all_menu_button();
		return true;
	}
}
